import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    sum:0 //当前的和
  },
  getters: {
    bigSum(state) {
      console.log(state)
      return state.sum * 10
    }
  },
  mutations: {
    ADD(state,value){
      console.log("mutations ADD")
      state.sum += value
    },
    SUBTRACT(state,value){
      console.log("mutations SUBTRACT")
      state.sum -= value
    }
  },
  actions: {
    addOdd(context,value){
        console.log("actions中的addOdd被调用了")
        if(context.state.sum % 2){
            context.commit('ADD',value)
        }
    },
    addWait(context,value){
        console.log("actions中的addWait被调用了")
        setTimeout(()=>{
			context.commit('ADD',value)
		},500)
    },
  },
  modules: {
  }
})
